Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZImageShellHandler Class Reference
Image conversion and scaling

The class eZImageShellHandler does. More...

Inheritance diagram for eZImageShellHandler:

## Public Member Functions
| __construct ( $handlerName, $isEnabled=true, $outputRewriteType=self::REPLACE_SUFFIX, $supportedInputMIMETypes=false, $supportedOutputMIMETypes=false, $conversionRules=false, $filters=false, $mimeTagMap=false)
| convert ( $manager, $sourceMimeData, &$destinationMimeData, $filters=false)
Public Member Functions inherited from eZImageHandler
| isAvailable ()
| tagForMIMEType ( $mimeData)
| supportedImageFilters ()
| conversionRules ()
| textForFilter ( $filterData)
| rewriteURL ( $originalMimeData, &$destinationMimeData, $rewriteType, $aliasName=false)
| supportedInputMIMETypes ()
| supportedOutputMIMETypes ()
| isOutputMIMETypeSupported ( $mimeData)
| isInputMIMETypeSupported ( $mimeData)
| outputMIMEType (&$manager, $currentMimeData, $wantedMimeData, $supportedFormatsOriginal, $aliasName=false)
| outputRewriteType ()
| isFilterSupported ( $filter)

## Static Public Member Functions
static | createFromINI ( $iniGroup, $iniFilename=false)
Static Public Member Functions inherited from eZImageHandler
static | createFilterDefinitionFromINI ( $filterText)
static | convertFilterToText ( $filterDefinition, $filterData)
static | changeFilePermissions ( $filepath)
static | wildcardToRegexp ( $wildcard, $separatorCharacter=false)

## Public Attributes
| $Path
| $Executable
| $PreParameters
| $PostParameters
| $ExecutableWin32
| $ExecutableMac
| $ExecutableUnix
| $HandlerName
| $SupportedInputMIMETypes
| $SupportedOutputMIMETypes
| $ConversionRules
| $OutputRewriteType
| $Filters
| $FilterMap
| $SupportImageFilters
| $MIMETagMap
| $IsEnabled
| $UseTypeTag
| $QualityParameters
| $FrameRangeParameters
Public Attributes inherited from eZImageHandler
| $HandlerName
| $SupportedInputMIMETypes
| $SupportedOutputMIMETypes
| $ConversionRules
| $OutputRewriteType
| $Filters
| $FilterMap
| $SupportImageFilters
| $MIMETagMap
| $IsEnabled
const | KEEP_SUFFIX = 1
const | REPLACE_SUFFIX = 2
const | PREPEND_TAG_REPLACE_SUFFIX = 3

## Detailed Description

The class eZImageShellHandler does.

Definition at line 18 of file ezimageshellhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZImageShellHandler::__construct | ( |  | $handlerName,
|  |  | $isEnabled = `true`,
|  |  | $outputRewriteType = `self::REPLACE_SUFFIX`,
|  |  | $supportedInputMIMETypes = `false`,
|  |  | $supportedOutputMIMETypes = `false`,
|  |  | $conversionRules = `false`,
|  |  | $filters = `false`,
|  |  | $mimeTagMap = `false`
| ) |  |

Initializes the image handler with data sent from the inheriting class.

Parameters

  string | $handlerName | The name of the current handler
  bool | $isEnabled | A boolean which tells whether the handler can be used or not
  int | $outputRewriteType | Defines how output filenames are rewritten
  array | bool | $supportedInputMIMETypes | A list of MIME-Types the handler supports as input or `false` if no type as defined
  | array|$supportedOutputMIMETypes | A list of MIME-Types the handler supports as output or `false` if no type as defined
  array | bool | $conversionRules | A list of conversion rules specific for this handler, is combined with the global rules
  array | bool | $filters | A list of filters this handler supports
  array | bool | $mimeTagMap | A mapping table which maps from a MIME-Type to a specific tag, this tag can be used when rewriting the filename.

Reimplemented from eZImageHandler.

Definition at line 20 of file ezimageshellhandler.php.

## Member Function Documentation

## ◆ convert()

eZImageShellHandler::convert | ( |  | $manager,
|  |  | $sourceMimeData,
|  | & | $destinationMimeData,
|  |  | $filters = `false`
| ) |  |
| virtual

Creates the shell string and runs the executable.

Implements eZImageHandler.

Definition at line 39 of file ezimageshellhandler.php.

References $Executable, $ExecutableMac, $ExecutableUnix, $ExecutableWin32, $FrameRangeParameters, $PostParameters, $PreParameters, $QualityParameters, eZImageHandler\changeFilePermissions(), eZSys\createShellArgument(), eZSys\escapeShellArgument(), eZSys\fileSeparator(), eZSys\osType(), eZImageHandler\tagForMIMEType(), eZImageHandler\textForFilter(), eZDebug\writeError(), and eZDebug\writeWarning().

## ◆ createFromINI()

static eZImageShellHandler::createFromINI | ( |  | $iniGroup,
|  |  | $iniFilename = `false`
| ) |  |
| static

Creates a new image handler for shell executable from INI settings. The INI settings are read from ini file $iniFilename and group $iniGroup. If $iniFilename is not supplied `image.ini` is used.

Definition at line 134 of file ezimageshellhandler.php.

References eZImageHandler\createFilterDefinitionFromINI(), eZImageHandler\REPLACE_SUFFIX, and eZDebug\writeError().

Referenced by eZImageShellFactory\produceFromINI().

## Member Data Documentation

## ◆ $ConversionRules

eZImageShellHandler::$ConversionRules

Definition at line 279 of file ezimageshellhandler.php.

## ◆ $Executable

eZImageShellHandler::$Executable

Definition at line 269 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $ExecutableMac

eZImageShellHandler::$ExecutableMac

Definition at line 274 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $ExecutableUnix

eZImageShellHandler::$ExecutableUnix

Definition at line 275 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $ExecutableWin32

eZImageShellHandler::$ExecutableWin32

Definition at line 273 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $FilterMap

eZImageShellHandler::$FilterMap

Definition at line 282 of file ezimageshellhandler.php.

## ◆ $Filters

eZImageShellHandler::$Filters

Definition at line 281 of file ezimageshellhandler.php.

## ◆ $FrameRangeParameters

eZImageShellHandler::$FrameRangeParameters

Definition at line 288 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $HandlerName

eZImageShellHandler::$HandlerName

Definition at line 276 of file ezimageshellhandler.php.

## ◆ $IsEnabled

eZImageShellHandler::$IsEnabled

Definition at line 285 of file ezimageshellhandler.php.

## ◆ $MIMETagMap

eZImageShellHandler::$MIMETagMap

Definition at line 284 of file ezimageshellhandler.php.

## ◆ $OutputRewriteType

eZImageShellHandler::$OutputRewriteType

Definition at line 280 of file ezimageshellhandler.php.

## ◆ $Path

eZImageShellHandler::$Path

Definition at line 268 of file ezimageshellhandler.php.

## ◆ $PostParameters

eZImageShellHandler::$PostParameters

Definition at line 271 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $PreParameters

eZImageShellHandler::$PreParameters

Definition at line 270 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $QualityParameters

eZImageShellHandler::$QualityParameters

Definition at line 287 of file ezimageshellhandler.php.

Referenced by convert().

## ◆ $SupportedInputMIMETypes

eZImageShellHandler::$SupportedInputMIMETypes

Definition at line 277 of file ezimageshellhandler.php.

## ◆ $SupportedOutputMIMETypes

eZImageShellHandler::$SupportedOutputMIMETypes

Definition at line 278 of file ezimageshellhandler.php.

## ◆ $SupportImageFilters

eZImageShellHandler::$SupportImageFilters

Definition at line 283 of file ezimageshellhandler.php.

## ◆ $UseTypeTag

eZImageShellHandler::$UseTypeTag

Definition at line 286 of file ezimageshellhandler.php.

The documentation for this class was generated from the following file:

- ezimageshellhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.